Bug 29025 - Saved auth login and password are pre-filled in patron creation form
Summary: Saved auth login and password are pre-filled in patron creation form
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Didier Gautheron
QA Contact: Testopia
URL:
Keywords:
Depends on: 14599
Blocks:
  Show dependency treegraph
 
Reported: 2021-09-15 05:14 UTC by Didier Gautheron
Modified: 2021-10-17 01:15 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.05,20.11.11


Attachments
Bug 29025: Don't prefill userid and password in user creation form (4.13 KB, patch)
2021-09-15 05:39 UTC, Didier Gautheron
Details | Diff | Splinter Review
Bug 29025: Don't prefill userid and password in user creation form (4.18 KB, patch)
2021-09-15 13:24 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29025: Don't prefill userid and password in user creation form (4.24 KB, patch)
2021-09-26 13:55 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Didier Gautheron 2021-09-15 05:14:16 UTC
Fix in #14599 and #8080 aren't working anymore with latest Firefox

Tested with Firefox 92:
1 - Log in staff as user foo password bar
2 - Save user and password in Firefox
3 - Log out
4 - Log in again, log in pop-up must be pre-filled
3 - Open Create a new patron form
4 - At least password field is pre-filled with logged in user's credentials
Comment 1 Didier Gautheron 2021-09-15 05:39:27 UTC
Created attachment 124873 [details] [review]
Bug 29025: Don't prefill userid and password in user creation form

Recent Firefox versions try to prefill userid and password with
logged in user credentials.

To test
1 - Log in staff as user foo password bar
2 - Save user and password in Firefox
3 - Log out
4 - Log in again, log in pop-up must be pre-filled
5 - Open Create a new patron form
6 - At least password field is pre-filled with logged in user's credentials
7 - Apply patch
8 - Redo 4 and 5
9 - Userid and password fields aren't prefilled
Comment 2 Owen Leonard 2021-09-15 13:24:24 UTC
Created attachment 124889 [details] [review]
Bug 29025: Don't prefill userid and password in user creation form

Recent Firefox versions try to prefill userid and password with
logged in user credentials.

To test
1 - Log in staff as user foo password bar
2 - Save user and password in Firefox
3 - Log out
4 - Log in again, log in pop-up must be pre-filled
5 - Open Create a new patron form
6 - At least password field is pre-filled with logged in user's credentials
7 - Apply patch
8 - Redo 4 and 5
9 - Userid and password fields aren't prefilled

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2021-09-26 13:54:42 UTC
Thanks for the fix Didier, we just recently noticed that this problem was back.
Comment 4 Katrin Fischer 2021-09-26 13:55:28 UTC
Created attachment 125336 [details] [review]
Bug 29025: Don't prefill userid and password in user creation form

Recent Firefox versions try to prefill userid and password with
logged in user credentials.

To test
1 - Log in staff as user foo password bar
2 - Save user and password in Firefox
3 - Log out
4 - Log in again, log in pop-up must be pre-filled
5 - Open Create a new patron form
6 - At least password field is pre-filled with logged in user's credentials
7 - Apply patch
8 - Redo 4 and 5
9 - Userid and password fields aren't prefilled

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2021-09-28 13:39:02 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 7 Kyle M Hall 2021-10-08 10:58:20 UTC
Pushed to 21.05.x for 21.05.05
Comment 8 Fridolin Somers 2021-10-09 02:19:55 UTC
Pushed to 20.11.x for 20.11.11
Comment 9 Victor Grousset/tuxayo 2021-10-17 01:15:21 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.